package eu.pequignat.record;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.awt.*;

public class GrapeRecordTest {


    @Test
    public void testRecords(){
        GrapeRecord grape1 = new GrapeRecord(Color.BLUE, 1);
        GrapeRecord grape1Copy = new GrapeRecord(grape1.color(), grape1.nbrOfPits());
        GrapeRecord grape2 = new GrapeRecord(Color.WHITE, 2);
        Assertions.assertNotSame(grape1, grape2);
        System.out.println("Grape 1 is " + grape1);
        System.out.println("Grape grape1 Copy is " + grape1Copy);
        Assertions.assertEquals(grape1Copy, grape1);

        System.out.println("Grape 2 is " + grape2);
        System.out.println("Grape 1 equals grape 2? " + grape1.equals(grape2));
        Assertions.assertNotEquals(grape1, grape2);
    }

    @Test
    public void testRecordsIllegalArgument(){
        try {
            GrapeRecord grape1 = new GrapeRecord(null, 1);
        }catch (Exception e){
            Assertions.assertInstanceOf(IllegalArgumentException.class, e);
        }

    }
}
